Bug 970182 - [abrt] intel-gpu-tools-2.21.8-1.fc18: reg_read: Process /usr/bin/intel_backlight was killed by signal 11 (SIGSEGV)
Summary: [abrt] intel-gpu-tools-2.21.8-1.fc18: reg_read: Process /usr/bin/intel_backli...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel   
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:62a433cb19de4c367f14f3f4a32...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 15:50 UTC by Lucas
Modified: 2014-07-20 13:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 21:39:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.09 KB, text/plain)
2013-06-03 15:50 UTC, Lucas
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-03 15:50 UTC, Lucas
no flags Details
File: dso_list (3.72 KB, text/plain)
2013-06-03 15:50 UTC, Lucas
no flags Details
File: environ (1.92 KB, text/plain)
2013-06-03 15:50 UTC, Lucas
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 15:50 UTC, Lucas
no flags Details
File: maps (18.00 KB, text/plain)
2013-06-03 15:51 UTC, Lucas
no flags Details
File: open_fds (141 bytes, text/plain)
2013-06-03 15:51 UTC, Lucas
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-06-03 15:51 UTC, Lucas
no flags Details
File: var_log_messages (333 bytes, text/plain)
2013-06-03 15:51 UTC, Lucas
no flags Details

Description Lucas 2013-06-03 15:50:32 UTC
Description of problem:
Just made a "sudo intel_backlight --help" call, and the program crashed

Version-Release number of selected component:
intel-gpu-tools-2.21.8-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        intel_backlight --help
core_backtrace: 1223fb8ca3d5d0922d0c4767af1848a98d053b8f 0xe8d main /usr/bin/intel_backlight e322130cac490b4b3edb5b65f8e98c120582dc6a
crash_function: reg_read
executable:     /usr/bin/intel_backlight
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            0
xsession_errors: 

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 reg_read at intel_backlight.c:39

Comment 1 Lucas 2013-06-03 15:50:39 UTC
Created attachment 756370 [details]
File: backtrace

Comment 2 Lucas 2013-06-03 15:50:45 UTC
Created attachment 756371 [details]
File: cgroup

Comment 3 Lucas 2013-06-03 15:50:49 UTC
Created attachment 756372 [details]
File: dso_list

Comment 4 Lucas 2013-06-03 15:50:53 UTC
Created attachment 756373 [details]
File: environ

Comment 5 Lucas 2013-06-03 15:50:58 UTC
Created attachment 756374 [details]
File: limits

Comment 6 Lucas 2013-06-03 15:51:03 UTC
Created attachment 756375 [details]
File: maps

Comment 7 Lucas 2013-06-03 15:51:07 UTC
Created attachment 756376 [details]
File: open_fds

Comment 8 Lucas 2013-06-03 15:51:12 UTC
Created attachment 756377 [details]
File: proc_pid_status

Comment 9 Lucas 2013-06-03 15:51:16 UTC
Created attachment 756378 [details]
File: var_log_messages

Comment 10 Fedora End Of Life 2013-12-21 13:50:28 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2014-02-05 21:39:02 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.